com.independentsoft.exchange

## Class OwaOptions

- java.lang.Object
- - com.independentsoft.exchange.OwaOptions

-     public class OwaOptions
      extends java.lang.Object

  The Class OwaOptions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OwaOptions()` Instantiates a new owa options.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enableReminders(boolean enableReminders)` Enable reminders.
    `void` | `enableReminderSound(boolean enableReminderSound)` Sets reminder sound enabled/disabled.
    `int` | `getComposeMarkup()` Gets the compose markup.
    `int` | `getConversationSortOrder()` Gets the conversation sort order.
    `java.lang.String` | `getDateFormat()` Gets the date format.
    `int` | `getFirstWeekOfYear()` Gets the first week of year.
    `java.lang.String` | `getFontColor()` Gets the font color.
    `int` | `getFontFlags()` Gets the font flags.
    `java.lang.String` | `getFontName()` Gets the font name.
    `int` | `getFontSize()` Gets the font size.
    `int` | `getFormatBarState()` Gets the format bar state.
    `int` | `getHourIncrement()` Gets the hour increment.
    `int` | `getMarkAsReadDelayTime()` Gets the mark as read delay time.
    `int` | `getNewItemNotify()` Gets the new item notify.
    `int` | `getNextSelection()` Gets the next selection.
    `int` | `getPreviewMarkAsRead()` Gets the preview mark as read.
    `int` | `getReadReceipt()` Gets the read receipt.
    `int` | `getSendAsItemsCopiedTo()` Gets the send as items copied to.
    `int` | `getSendOnBehalfOfCopiedTo()` Gets the send on behalf of copied to.
    `java.lang.String` | `getSignatureHtml()` Gets the signature html.
    `java.lang.String` | `getSignatureText()` Gets the signature text.
    `int` | `getSpellingDictionaryLanguage()` Gets the spelling dictionary language.
    `java.lang.String` | `getThemeStorageId()` Gets the theme storage id.
    `java.lang.String` | `getTimeFormat()` Gets the time format.
    `java.lang.String` | `getTimeZone()` Gets the time zone.
    `int` | `getWeekStartDay()` Gets the week start day.
    `boolean` | `isAlwaysShowBcc()` Checks if is always show bcc.
    `boolean` | `isAlwaysShowFrom()` Checks if is always show from.
    `boolean` | `isAutoAddSignature()` Checks if is auto add signature.
    `boolean` | `isAutoAddSignatureOnReply()` Checks if is auto add signature on forward and reply.
    `boolean` | `isCheckNameInContactsFirst()` Checks if is check name in contacts first.
    `boolean` | `isEmptyDeletedItemsOnLogoff()` Checks if is empty deleted items on logoff.
    `boolean` | `isEnableReminders()` Checks if is enable reminders.
    `boolean` | `isEnableReminderSound()` Checks if reminder sound is enabled.
    `boolean` | `isHideDeletedItems()` Checks if is hide deleted items.
    `boolean` | `isOptimizedForAccessibility()` Checks if is optimized for accessibility.
    `boolean` | `isQuicklinksBarVisible()` Checks if is quicklinks bar visible.
    `boolean` | `isSpellingCheckBeforeSend()` Checks if is spelling check before send.
    `boolean` | `isSpellingIgnoreMixedDigits()` Checks if is spelling ignore mixed digits.
    `boolean` | `isSpellingIgnoreUpperCase()` Checks if is spelling ignore upper case.
    `void` | `setAlwaysShowBcc(boolean alwaysShowBcc)` Sets the always show bcc.
    `void` | `setAlwaysShowFrom(boolean alwaysShowFrom)` Sets the always show from.
    `void` | `setAutoAddSignature(boolean autoAddSignature)` Sets the auto add signature.
    `void` | `setAutoAddSignatureOnReply(boolean autoAddSignatureOnReply)` Sets the auto add signature on forward and reply.
    `void` | `setCheckNameInContactsFirst(boolean checkNameInContactsFirst)` Sets the check name in contacts first.
    `void` | `setComposeMarkup(int composeMarkup)` Sets the compose markup.
    `void` | `setConversationSortOrder(int conversationSortOrder)` Sets the conversation sort order.
    `void` | `setDateFormat(java.lang.String dateFormat)` Sets the date format.
    `void` | `setEmptyDeletedItemsOnLogoff(boolean emptyDeletedItemsOnLogoff)` Sets the empty deleted items on logoff.
    `void` | `setFirstWeekOfYear(int firstWeekOfYear)` Sets the first week of year.
    `void` | `setFontColor(java.lang.String fontColor)` Sets the font color.
    `void` | `setFontFlags(int fontFlags)` Sets the font flags.
    `void` | `setFontName(java.lang.String fontName)` Sets the font name.
    `void` | `setFontSize(int fontSize)` Sets the font size.
    `void` | `setFormatBarState(int formatBarState)` Sets the format bar state.
    `void` | `setHideDeletedItems(boolean hideDeletedItems)` Sets the hide deleted items.
    `void` | `setHourIncrement(int hourIncrement)` Sets the hour increment.
    `void` | `setMarkAsReadDelayTime(int markAsReadDelayTime)` Sets the mark as read delay time.
    `void` | `setNewItemNotify(int newItemNotify)` Sets the new item notify.
    `void` | `setNextSelection(int nextSelection)` Sets the next selection.
    `void` | `setOptimizedForAccessibility(boolean isOptimizedForAccessibility)` Sets the optimized for accessibility.
    `void` | `setPreviewMarkAsRead(int previewMarkAsRead)` Sets the preview mark as read.
    `void` | `setQuicklinksBarVisible(boolean isQuicklinksBarVisible)` Sets the quicklinks bar visible.
    `void` | `setReadReceipt(int readReceipt)` Sets the read receipt.
    `void` | `setSendAsItemsCopiedTo(int sendAsItemsCopiedTo)` Sets the send as items copied to.
    `void` | `setSendOnBehalfOfCopiedTo(int sendOnBehalfOfCopiedTo)` Sets the send on behalf of copied to.
    `void` | `setShowTreeInListView(boolean showTreeInListView)` Sets the show tree in list view.
    `void` | `setShowWeekNumbers(boolean showWeekNumbers)` Sets the show week numbers.
    `void` | `setSignatureHtml(java.lang.String signatureHtml)` Sets the signature html.
    `void` | `setSignatureText(java.lang.String signatureText)` Sets the signature text.
    `void` | `setSpellingCheckBeforeSend(boolean spellingCheckBeforeSend)` Sets the spelling check before send.
    `void` | `setSpellingDictionaryLanguage(int spellingDictionaryLanguage)` Sets the spelling dictionary language.
    `void` | `setSpellingIgnoreMixedDigits(boolean spellingIgnoreMixedDigits)` Sets the spelling ignore mixed digits.
    `void` | `setSpellingIgnoreUpperCase(boolean spellingIgnoreUpperCase)` Sets the spelling ignore upper case.
    `void` | `setThemeStorageId(java.lang.String themeStorageId)` Sets the theme storage id.
    `void` | `setTimeFormat(java.lang.String timeFormat)` Sets the time format.
    `void` | `setTimeZone(java.lang.String timeZone)` Sets the time zone.
    `void` | `setWeekStartDay(int weekStartDay)` Sets the week start day.
    `boolean` | `showTreeInListView()` Show tree in list view.
    `boolean` | `showWeekNumbers()` Show week numbers.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OwaOptions

          public OwaOptions()

      Instantiates a new owa options.

  - ### Method Detail

    - #### getTimeFormat

          public java.lang.String getTimeFormat()

      Gets the time format.
      Returns:
        the time format

    - #### setTimeFormat

          public void setTimeFormat(java.lang.String timeFormat)

      Sets the time format.
      Parameters:
        `timeFormat` - the new time format

    - #### showWeekNumbers

          public boolean showWeekNumbers()

      Show week numbers.
      Returns:
        true, if successful

    - #### setShowWeekNumbers

          public void setShowWeekNumbers(boolean showWeekNumbers)

      Sets the show week numbers.
      Parameters:
        `showWeekNumbers` - the new show week numbers

    - #### getSignatureText

          public java.lang.String getSignatureText()

      Gets the signature text.
      Returns:
        the signature text

    - #### setSignatureText

          public void setSignatureText(java.lang.String signatureText)

      Sets the signature text.
      Parameters:
        `signatureText` - the new signature text

    - #### getSignatureHtml

          public java.lang.String getSignatureHtml()

      Gets the signature html.
      Returns:
        the signature html

    - #### setSignatureHtml

          public void setSignatureHtml(java.lang.String signatureHtml)

      Sets the signature html.
      Parameters:
        `signatureHtml` - the new signature html

    - #### getTimeZone

          public java.lang.String getTimeZone()

      Gets the time zone.
      Returns:
        the time zone

    - #### setTimeZone

          public void setTimeZone(java.lang.String timeZone)

      Sets the time zone.
      Parameters:
        `timeZone` - the new time zone

    - #### getFirstWeekOfYear

          public int getFirstWeekOfYear()

      Gets the first week of year.
      Returns:
        the first week of year

    - #### setFirstWeekOfYear

          public void setFirstWeekOfYear(int firstWeekOfYear)

      Sets the first week of year.
      Parameters:
        `firstWeekOfYear` - the new first week of year

    - #### isEnableReminders

          public boolean isEnableReminders()

      Checks if is enable reminders.
      Returns:
        true, if is enable reminders

    - #### enableReminders

          public void enableReminders(boolean enableReminders)

      Enable reminders.
      Parameters:
        `enableReminders` - the enable reminders

    - #### isEnableReminderSound

          public boolean isEnableReminderSound()

      Checks if reminder sound is enabled.
      Returns:
        true if reminder sound is enabled

    - #### enableReminderSound

          public void enableReminderSound(boolean enableReminderSound)

      Sets reminder sound enabled/disabled.
      Parameters:
        `enableReminderSound` - the reminder sound enable

    - #### getDateFormat

          public java.lang.String getDateFormat()

      Gets the date format.
      Returns:
        the date format

    - #### setDateFormat

          public void setDateFormat(java.lang.String dateFormat)

      Sets the date format.
      Parameters:
        `dateFormat` - the new date format

    - #### getHourIncrement

          public int getHourIncrement()

      Gets the hour increment.
      Returns:
        the hour increment

    - #### setHourIncrement

          public void setHourIncrement(int hourIncrement)

      Sets the hour increment.
      Parameters:
        `hourIncrement` - the new hour increment

    - #### isOptimizedForAccessibility

          public boolean isOptimizedForAccessibility()

      Checks if is optimized for accessibility.
      Returns:
        true, if is optimized for accessibility

    - #### setOptimizedForAccessibility

          public void setOptimizedForAccessibility(boolean isOptimizedForAccessibility)

      Sets the optimized for accessibility.
      Parameters:
        `isOptimizedForAccessibility` - the new optimized for accessibility

    - #### getWeekStartDay

          public int getWeekStartDay()

      Gets the week start day.
      Returns:
        the week start day

    - #### setWeekStartDay

          public void setWeekStartDay(int weekStartDay)

      Sets the week start day.
      Parameters:
        `weekStartDay` - the new week start day

    - #### getFormatBarState

          public int getFormatBarState()

      Gets the format bar state.
      Returns:
        the format bar state

    - #### setFormatBarState

          public void setFormatBarState(int formatBarState)

      Sets the format bar state.
      Parameters:
        `formatBarState` - the new format bar state

    - #### showTreeInListView

          public boolean showTreeInListView()

      Show tree in list view.
      Returns:
        true, if successful

    - #### setShowTreeInListView

          public void setShowTreeInListView(boolean showTreeInListView)

      Sets the show tree in list view.
      Parameters:
        `showTreeInListView` - the new show tree in list view

    - #### getMarkAsReadDelayTime

          public int getMarkAsReadDelayTime()

      Gets the mark as read delay time.
      Returns:
        the mark as read delay time

    - #### setMarkAsReadDelayTime

          public void setMarkAsReadDelayTime(int markAsReadDelayTime)

      Sets the mark as read delay time.
      Parameters:
        `markAsReadDelayTime` - the new mark as read delay time

    - #### getNextSelection

          public int getNextSelection()

      Gets the next selection.
      Returns:
        the next selection

    - #### setNextSelection

          public void setNextSelection(int nextSelection)

      Sets the next selection.
      Parameters:
        `nextSelection` - the new next selection

    - #### getSpellingDictionaryLanguage

          public int getSpellingDictionaryLanguage()

      Gets the spelling dictionary language.
      Returns:
        the spelling dictionary language

    - #### setSpellingDictionaryLanguage

          public void setSpellingDictionaryLanguage(int spellingDictionaryLanguage)

      Sets the spelling dictionary language.
      Parameters:
        `spellingDictionaryLanguage` - the new spelling dictionary language

    - #### getConversationSortOrder

          public int getConversationSortOrder()

      Gets the conversation sort order.
      Returns:
        the conversation sort order

    - #### setConversationSortOrder

          public void setConversationSortOrder(int conversationSortOrder)

      Sets the conversation sort order.
      Parameters:
        `conversationSortOrder` - the new conversation sort order

    - #### isCheckNameInContactsFirst

          public boolean isCheckNameInContactsFirst()

      Checks if is check name in contacts first.
      Returns:
        true, if is check name in contacts first

    - #### setCheckNameInContactsFirst

          public void setCheckNameInContactsFirst(boolean checkNameInContactsFirst)

      Sets the check name in contacts first.
      Parameters:
        `checkNameInContactsFirst` - the new check name in contacts first

    - #### isSpellingCheckBeforeSend

          public boolean isSpellingCheckBeforeSend()

      Checks if is spelling check before send.
      Returns:
        true, if is spelling check before send

    - #### setSpellingCheckBeforeSend

          public void setSpellingCheckBeforeSend(boolean spellingCheckBeforeSend)

      Sets the spelling check before send.
      Parameters:
        `spellingCheckBeforeSend` - the new spelling check before send

    - #### getReadReceipt

          public int getReadReceipt()

      Gets the read receipt.
      Returns:
        the read receipt

    - #### setReadReceipt

          public void setReadReceipt(int readReceipt)

      Sets the read receipt.
      Parameters:
        `readReceipt` - the new read receipt

    - #### getThemeStorageId

          public java.lang.String getThemeStorageId()

      Gets the theme storage id.
      Returns:
        the theme storage id

    - #### setThemeStorageId

          public void setThemeStorageId(java.lang.String themeStorageId)

      Sets the theme storage id.
      Parameters:
        `themeStorageId` - the new theme storage id

    - #### isSpellingIgnoreUpperCase

          public boolean isSpellingIgnoreUpperCase()

      Checks if is spelling ignore upper case.
      Returns:
        true, if is spelling ignore upper case

    - #### setSpellingIgnoreUpperCase

          public void setSpellingIgnoreUpperCase(boolean spellingIgnoreUpperCase)

      Sets the spelling ignore upper case.
      Parameters:
        `spellingIgnoreUpperCase` - the new spelling ignore upper case

    - #### isEmptyDeletedItemsOnLogoff

          public boolean isEmptyDeletedItemsOnLogoff()

      Checks if is empty deleted items on logoff.
      Returns:
        true, if is empty deleted items on logoff

    - #### setEmptyDeletedItemsOnLogoff

          public void setEmptyDeletedItemsOnLogoff(boolean emptyDeletedItemsOnLogoff)

      Sets the empty deleted items on logoff.
      Parameters:
        `emptyDeletedItemsOnLogoff` - the new empty deleted items on logoff

    - #### getPreviewMarkAsRead

          public int getPreviewMarkAsRead()

      Gets the preview mark as read.
      Returns:
        the preview mark as read

    - #### setPreviewMarkAsRead

          public void setPreviewMarkAsRead(int previewMarkAsRead)

      Sets the preview mark as read.
      Parameters:
        `previewMarkAsRead` - the new preview mark as read

    - #### isAutoAddSignature

          public boolean isAutoAddSignature()

      Checks if is auto add signature.
      Returns:
        true, if is auto add signature

    - #### setAutoAddSignature

          public void setAutoAddSignature(boolean autoAddSignature)

      Sets the auto add signature.
      Parameters:
        `autoAddSignature` - the new auto add signature

    - #### isAutoAddSignatureOnReply

          public boolean isAutoAddSignatureOnReply()

      Checks if is auto add signature on forward and reply.
      Returns:
        true, if is auto add signature on reply

    - #### setAutoAddSignatureOnReply

          public void setAutoAddSignatureOnReply(boolean autoAddSignatureOnReply)

      Sets the auto add signature on forward and reply.
      Parameters:
        `autoAddSignatureOnReply` - the new auto add signature on reply

    - #### isAlwaysShowFrom

          public boolean isAlwaysShowFrom()

      Checks if is always show from.
      Returns:
        true, if is always show from

    - #### setAlwaysShowFrom

          public void setAlwaysShowFrom(boolean alwaysShowFrom)

      Sets the always show from.
      Parameters:
        `alwaysShowFrom` - the new always show from

    - #### isHideDeletedItems

          public boolean isHideDeletedItems()

      Checks if is hide deleted items.
      Returns:
        true, if is hide deleted items

    - #### setHideDeletedItems

          public void setHideDeletedItems(boolean hideDeletedItems)

      Sets the hide deleted items.
      Parameters:
        `hideDeletedItems` - the new hide deleted items

    - #### getSendAsItemsCopiedTo

          public int getSendAsItemsCopiedTo()

      Gets the send as items copied to.
      Returns:
        the send as items copied to

    - #### setSendAsItemsCopiedTo

          public void setSendAsItemsCopiedTo(int sendAsItemsCopiedTo)

      Sets the send as items copied to.
      Parameters:
        `sendAsItemsCopiedTo` - the new send as items copied to

    - #### isSpellingIgnoreMixedDigits

          public boolean isSpellingIgnoreMixedDigits()

      Checks if is spelling ignore mixed digits.
      Returns:
        true, if is spelling ignore mixed digits

    - #### setSpellingIgnoreMixedDigits

          public void setSpellingIgnoreMixedDigits(boolean spellingIgnoreMixedDigits)

      Sets the spelling ignore mixed digits.
      Parameters:
        `spellingIgnoreMixedDigits` - the new spelling ignore mixed digits

    - #### isAlwaysShowBcc

          public boolean isAlwaysShowBcc()

      Checks if is always show bcc.
      Returns:
        true, if is always show bcc

    - #### setAlwaysShowBcc

          public void setAlwaysShowBcc(boolean alwaysShowBcc)

      Sets the always show bcc.
      Parameters:
        `alwaysShowBcc` - the new always show bcc

    - #### getSendOnBehalfOfCopiedTo

          public int getSendOnBehalfOfCopiedTo()

      Gets the send on behalf of copied to.
      Returns:
        the send on behalf of copied to

    - #### setSendOnBehalfOfCopiedTo

          public void setSendOnBehalfOfCopiedTo(int sendOnBehalfOfCopiedTo)

      Sets the send on behalf of copied to.
      Parameters:
        `sendOnBehalfOfCopiedTo` - the new send on behalf of copied to

    - #### isQuicklinksBarVisible

          public boolean isQuicklinksBarVisible()

      Checks if is quicklinks bar visible.
      Returns:
        true, if is quicklinks bar visible

    - #### setQuicklinksBarVisible

          public void setQuicklinksBarVisible(boolean isQuicklinksBarVisible)

      Sets the quicklinks bar visible.
      Parameters:
        `isQuicklinksBarVisible` - the new quicklinks bar visible

    - #### getComposeMarkup

          public int getComposeMarkup()

      Gets the compose markup.
      Returns:
        the compose markup

    - #### setComposeMarkup

          public void setComposeMarkup(int composeMarkup)

      Sets the compose markup.
      Parameters:
        `composeMarkup` - the new compose markup

    - #### getNewItemNotify

          public int getNewItemNotify()

      Gets the new item notify.
      Returns:
        the new item notify

    - #### setNewItemNotify

          public void setNewItemNotify(int newItemNotify)

      Sets the new item notify.
      Parameters:
        `newItemNotify` - the new new item notify

    - #### getFontName

          public java.lang.String getFontName()

      Gets the font name.
      Returns:
        the font name

    - #### setFontName

          public void setFontName(java.lang.String fontName)

      Sets the font name.
      Parameters:
        `fontName` - the new font name

    - #### getFontColor

          public java.lang.String getFontColor()

      Gets the font color.
      Returns:
        the font color

    - #### setFontColor

          public void setFontColor(java.lang.String fontColor)

      Sets the font color.
      Parameters:
        `fontColor` - the font color

    - #### getFontSize

          public int getFontSize()

      Gets the font size.
      Returns:
        the font size

    - #### setFontSize

          public void setFontSize(int fontSize)

      Sets the font size.
      Parameters:
        `fontSize` - the new font size

    - #### getFontFlags

          public int getFontFlags()

      Gets the font flags.
      Returns:
        the font flags

    - #### setFontFlags

          public void setFontFlags(int fontFlags)

      Sets the font flags.
      Parameters:
        `fontFlags` - the font flags